100 ' *********************************
110 ' * IBM PC BASIC   VERSION A3.30  *
120 ' * FILE NAME "ROUT"              *
130 ' * PLANNING RELAY ROUTE          *
140 ' * 1987/10                I.KATO *
150 ' *********************************
160 KEY OFF:CLS:SCREEN 9
170 COLOR 14
180 LOCATE 1,1:PRINT "[ITEM 7]               PLANNING OF RELAY ROUTE":COLOR 7
190 PRINT "The work begins with the study of a map.  The selection of sites should be care-fully examined in view of not only propagation features but also construction "
200 PRINT "and maintenance conveniences including future expantion capabilities.           There are many fundamental considerations as mentioned below."
220 COLOR 3:PRINT "(1) Relay distance":COLOR 7
230 PRINT "All spans should be as equal as possible in distance. By doing so, a well bal-  anced noise budget will be expected between thermal and interference noises."
240 COLOR 3:PRINT "(2) Path clearance":COLOR 7
245 PRINT "Path clearance to pass larger than  2/3  of the radius of the first Fresnel zoneshould be protected from possible variation in the value of k."
250 COLOR 3:PRINT "(3) Ground reflection":COLOR 7
260 PRINT "A ground-reflected wave is a cause of serious fading and propagation distortion.";
270 PRINT "So, the utmost effect should be firstly tried to intercept a ground-reflected   wave by means of a shielding-ridge. If not, means should be examined to shift"
280 PRINT "the reflection point onto undulate hills, mountains or urban area, away from    the water surface and paddy fields."
290 COLOR 3:PRINT "(4) Relay angle":COLOR 7
300 PRINT "Alignment of all the relay stations could from the shortest relay route,  which may be, however, inevitably subject to over-reach interference within the same"
310 PRINT "route insofar as the two frequency repetition system is employed."
315 PRINT "Over a plane earth a zig-zag formation will make a good use of the directivity  of antenna to minimize over-reach interferences."
320 COLOR 6:LOCATE 23,50:PRINT "--To proceed:  Hit space key--"
330 COLOR 7:Q$=INKEY$:IF Q$<>" " THEN 330
340 CLS:GOSUB 1000:GOSUB 2000
350 COLOR 3:LOCATE 1,1:PRINT "(5) Frequency coincidence":COLOR 7
360 PRINT "The two frequency repetition system is preferred for "
370 PRINT "an ordinary frequency planning in view of spectrum "
380 PRINT "economy."
390 PRINT "In this system, a pair of frequencies, f1 and f2, are"
400 PRINT "bidirectionally assigned one after the other for the "
410 PRINT "same both-way radio bearer."
420 PRINT "The adoption of this system, however, requires       "
430 PRINT "particular frequency planning arrangement for a later"
440 PRINT "stage, upon new installation of other routes."
450 PRINT "For instance, a 6GHz band terminal station has been  "
460 PRINT "once installed in certain city, any newly-planned    "
470 PRINT "6GHz band terminal station in the same city should be"
480 PRINT "allocated with the same transmitting and receiving   "
490 PRINT "point frequencies, in order to facilitate nationwide "
500 PRINT "frequency planning."
510 PRINT "This is defined as frequency coincidence, in which   "
520 PRINT "new routes might be enforced to adjust the number of relay hops: for instance,  when No. 1 route is composed of 4 relay hops, No. 2 route should then contain   an even number of hops."
540 COLOR 6:LOCATE 23,20:PRINT "----- menu:  Hit space key -----"
550 COLOR 7:Q$=INKEY$:IF Q$<>" " THEN 550
560 SCREEN 0:CLS:RUN "ME"
1000 ' ********************
1010 ' *  graph draw sub  *
1020 ' ********************
1030 WINDOW SCREEN(0,0)-(116,100)
1040 VIEW(435, 7)-(635,77),,5
1050 LINE(18,20)-(30,80),7,B
1060 LINE(52,20)-(64,80),7,B
1070 LINE(86,20)-(98,80),7,B
1080 LINE( 0,30)-(18,30),7:LINE(15,25)-(18,30),7:LINE(15,35)-(18,30),7
1090 LINE( 0,70)-(18,70),7:LINE( 5,65)-( 0,70),7:LINE( 5,75)-( 0,70),7
1100 LINE(18,30)-(30,70),7:LINE(18,70)-(30,30),7
1110 LINE(30,30)-(52,30),7:LINE(35,25)-(30,30),7:LINE(35,35)-(30,30),7
1120 LINE(30,70)-(52,70),7:LINE(47,65)-(52,70),7:LINE(47,75)-(52,70),7
1130 LINE(52,30)-(64,70),7:LINE(52,70)-(64,30),7
1140 LINE(64,30)-(86,30),7:LINE(81,25)-(86,30),7:LINE(81,35)-(86,30),7
1150 LINE(64,70)-(86,70),7:LINE(69,65)-(64,70),7:LINE(69,75)-(64,70),7
1160 LINE(86,30)-(98,70),7:LINE(86,70)-(98,30),7
1170 LINE(98,30)-(116,30),7:LINE(103,25)-(98,30),7:LINE(103,35)-(98,30),7
1180 LINE(98,70)-(116,70),7:LINE(111,65)-(116,70),7:LINE(111,75)-(116,70),7
1190 LOCATE 2,56:PRINT "f1":LOCATE 2,64:PRINT "f1":LOCATE 2,70:PRINT "f1":           LOCATE 2,78:PRINT "f1"
1200 LOCATE 5,57:PRINT "f2":LOCATE 5,63:PRINT "f2":LOCATE 5,71:PRINT "f2":           LOCATE 5,77:PRINT "f2"
1210 RETURN
2000 ' ********************
2010 ' *  graph draw sub  *
2020 ' ********************
2030 WINDOW SCREEN(0,0)-(100,100)
2040 VIEW(435,84)-(635,224),,5
2050 CIRCLE( 5,45),3,4:PAINT( 4,45),4,4
2060 CIRCLE(20,25),2,7:PAINT(20,25),7,7
2070 CIRCLE(50,25),2,7:PAINT(50,25),7,7
2080 CIRCLE(77,15),2,7:PAINT(77,15),7,7
2090 CIRCLE(95,54),3,4:PAINT(95,54),4,4
2100 LINE( 5,45)-(20,25),2
2110 LINE(20,25)-(50,25),2
2120 LINE(50,25)-(77,15),2
2130 LINE(77,15)-(95,54),2
2140 '
2150 CIRCLE(11,75),2,7:PAINT(11,75),7,7
2160 CIRCLE(32,75),2,7:PAINT(32,75),7,7
2170 CIRCLE(50,85),2,7:PAINT(50,85),7,7
2180 CIRCLE(65,70),2,7:PAINT(65,70),7,7
2190 CIRCLE(80,77),2,7:PAINT(80,77),7,7
2200 LINE( 5,45)-(11,75),9
2210 LINE(11,75)-(32,75),9
2220 LINE(32,75)-(50,85),9
2230 LINE(50,85)-(65,70),9
2240 LINE(65,70)-(80,77),9
2250 LINE(80,77)-(95,54),9
2260 COLOR 2:LOCATE   7,57:PRINT "No.1 route (existing)":                            COLOR 9:LOCATE 16,57:PRINT "No.2 route (new)"
2270 COLOR 7:RETURN
